%global cvs_version 1_8_1_3
%global majorversion 1
Name:                hsqldb1
Version:             1.8.1.3
Release:             3
Summary:             HyperSQL Database Engine
License:             BSD-3-Clause
URL:                 http://hsqldb.sourceforge.net/
Source0:             http://downloads.sourceforge.net/hsqldb/hsqldb_%{cvs_version}.zip
Source1:             https://repo1.maven.org/maven2/org/hsqldb/hsqldb/1.8.0.10/hsqldb-1.8.0.10.pom
Patch0:              hsqldb-jdbc-4.1.patch
Patch1:              hsqldb-1.8.0-CVE-2022-41853.patch

BuildRequires:       ant java-devel javapackages-local junit glassfish-servlet-api
Requires:            glassfish-servlet-api
BuildArch:           noarch

%description
HSQLdb is a relational database engine written in JavaTM , with a JDBC
driver, supporting a subset of ANSI-92 SQL. It offers a small (about
100k), fast database engine which offers both in memory and disk based
tables. Embedded and server modes are available. Additionally, it
includes tools such as a minimal web server, in-memory query and
management tools (can be run as applets or servlets, too) and a number
of demonstration examples.
Downloaded code should be regarded as being of production quality. The
product is currently being used as a database and persistence engine in
many Open Source Software projects and even in commercial projects and
products! In it's current version it is extremely stable and reliable.
It is best known for its small size, ability to execute completely in
memory and its speed. Yet it is a completely functional relational
database management system that is completely free under the Modified
BSD License. Yes, that's right, completely free of cost or restrictions!

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n hsqldb
find . -name "*.sh" -exec chmod 755 \{\} \;
for dir in `find . -name _notes`; do rm -rf $dir; done
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.war" -exec rm -f {} \;
chmod -R go=u-w *
%patch0 -p1
%patch1 -p1
cp %{SOURCE1} ./pom.xml
%mvn_file hsqldb:hsqldb %{name}
%mvn_compat_version : %{majorversion}

%build
export CLASSPATH=$(build-classpath glassfish-servlet-api junit)
pushd build
ant jar javadoc
popd

%install
%mvn_artifact pom.xml lib/hsqldb.jar
%mvn_install -J doc/src

%files -f .mfiles
%license doc/hsqldb_lic.txt

%files javadoc -f .mfiles-javadoc
%license doc/hsqldb_lic.txt

%changelog
* Wed Dec 13 2023 wangkai <13474090681@163.com> - 1.8.1.3-3
- Fix CVE-2022-41853

* Mon May 9 2022 caodongxia <caodongxia@h-partners.com> - 1.8.1.3-2
- License compliance rectification

* Mon Jul 27 2020 leiju <leiju4@huawei.com> - 1.8.1.3-1
- Package init
